<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Gift extends Model
{
    //
    protected $table = 'gifts';

    protected $fillable = [
        'user_id',
        'inventory_id',
        'gift'
    ];
    public function user()
    {
        return $this->belongsTo('App\User','user_id');
    }
    public function inventory()
    {
        return $this->belongsTo('App\Inventory','inventory_id');
    }
}
