'use strict';

/**
 * @ngdoc overview
 * @name frontApp
 * @description
 * # frontApp
 *
 * Main module of the application.
 */
var frontApp = angular
    .module('frontApp', [
    'ngAnimate',
    //'ngAria',
    //'ngCookies',
    //'ngMessages',
    //'ngResource',
    'ngRoute',
    'ngSanitize',
    //'ngTouch',
    'ui.bootstrap',
    'ngToast',
    'ui.select'
  ])
    .constant('BASE_URL', 'http://localhost/blog/api/public/')
    .config(['ngToastProvider',
        function(ngToastProvider) {
          ngToastProvider.configure({
            additionalClasses: 'slide',
            horizontalPosition: 'center',
            verticalPosition: 'top',
            dismissButton: true,
            dismissButtonHtml: '&times;',
            dismissOnClick:true,
            timeout:5000

          });
        }
      ])

.config(function ($routeProvider, $locationProvider) {
    $routeProvider
        .when('/', {
            templateUrl: 'views/home.html',
            controller: 'HomeCtrl'
                //controllerAs: 'main'
        })

    .when('/knowledge-hub', {
            templateUrl: 'views/knowledge-hub.html',
            //controller: 'SaccoCtrl'
                //controllerAs: 'main'
        })
    .when('/course-one', {
            templateUrl: 'views/courses/course-one.html',
            //controller: 'SaccoCtrl'
                //controllerAs: 'main'
        })
    .when('/quiz-one', {
            templateUrl: 'views/quiz/quiz-one.html',
            //controller: 'VehicleRouteCtrl'
                //controllerAs: 'main'
        })
    .when('/flipcard', {
            templateUrl: 'views/rewards/index.html',
            //controller: 'VehicleCtrl'
                //controllerAs: 'main'
        })
    /*.when('/expenses', {
            templateUrl: 'views/expenses/main.html',
            controller: 'ExpenseCtrl'
                //controllerAs: 'main'
        })
    .when('/schedules', {
            templateUrl: 'views/schedule/main.html',
            controller: 'ScheduleCtrl'
                //controllerAs: 'main'
        })
        .otherwise({
            redirectTo: '/'
        });
*/
    $locationProvider.html5Mode('true');
});
