@extends('layout.master')

@section('body')

@include('includes.slider')

<script type="text/javascript">

</script>

<div class="col-md-12 text-center">
  <input type="hidden" name="" value="" id="currentuserid">
  <input type="hidden" name="" value="" id="userdepartment">
  <input type="hidden" name="" value="" id="scorecount">
  <input type="hidden" name="" value="" id="giftcount">


  <div class="section-header" style="padding-top:80px;">
      <h2 class="section-title text-center wow fadeInDown animated" style="visibility: visible; animation-name: fadeInDown;">Pathway Of Pride 6 </h2>
        {!! Html::ul($errors->all(), array('class'=>'alert alert-danger errors')) !!}
      <h3 class="text-center wow fadeInDown animated" style="color:#000000; visibility: visible; animation-name: fadeInDown;">Answer ten questions in the Pathway of Pride ethics trivia and stand the chance to win from a range of prizes and enter a lucky draw to stand a chance to winning a Samsung Galaxy Tab 3 Lite.</h3>
  </div>
</div>
<section id="portfolio">
  <div class="" style="display:none">
    <button id="play">Play</button>
    <button id="pause">Stop</button>
  </div>

    <div class="container">
      <div id="center">
        <div id="container">
        </div>
      </div>
    </div><!--/.container-->

    <div class="text-center" style="padding-top:650px;">
      <a href="{{ url('/users/logout') }}" class="btn btn-default btn-lg">End Your Challenge. </a>
    </div>
</section>

@stop

@section('js')
  <script type="text/javascript">

  var userid = "{{ Auth::user()->id }}";
  var userdepartment = "{{ Auth::user()->department }}";
  var scorecount = "{{ count($scores) }}";
  var giftcount = "{{ count($gifts) }}";
  var userscore = [
                  @foreach ($scores as $score)
                    @if ($score->score >= 80)
                      [ "{{ $score->score }}"],
                      @endif
                  @endforeach
                  ];

  $('#currentuserid').val(userid);
  $('#userdepartment').val(userdepartment);
  $('#giftcount').val(giftcount);
$('#userscore').val(userscore);

  console.log(userid);
  console.log(userdepartment);
  console.log(scorecount);
  console.log(giftcount);
  console.log(userscore);

  var supplyone = 'xml/quiz1_absolute.xml';
  var supplytwo = 'xml/supply.xml';
  var supplythree = 'xml/supply2.xml';
  var supplyfour = 'xml/supply3.xml';


  var demandone = 'xml/demand.xml';
  var demandtwo = 'xml/demand2.xml';
  var demandthree = 'xml/demand3.xml';
  var demandfour = 'xml/demand4.xml';

  var othercategoryone = 'xml/othercategory.xml';
  var othercategorytwo = 'xml/othercategory2.xml';
  var othercategorythree = 'xml/othercategory3.xml';
  var othercategoryfour = 'xml/othercategory4.xml';



  if(userdepartment == 'supply')
  {
       if (scorecount == 0 ) {
         var quiz_url = 'xml/quiz1_absolute.xml';
       }else {
         var allsupply = [supplytwo, supplythree, supplyfour];

         var random = Math.floor(Math.random() * allsupply.length);
         console.log(random);
         var supplyurl = allsupply[random];
         console.log(supplyurl);
         var quiz_url = supplyurl;
       }
  }else if(userdepartment == 'demand'){
     if (scorecount == 0) {
         var quiz_url = demandone;
     }else {
       var alldemand = [demandfour, demandtwo, demandthree];
       var demandurl = alldemand[Math.floor(Math.random() * alldemand.length)];
       console.log(demandurl);
       var quiz_url = demandurl;
     }
  }else if(userdepartment =='other_department'){
     if (scorecount == 0) {
         var quiz_url = othercategoryone;
     }else {
       var allothercategory = [othercategoryfour, othercategorytwo, othercategorythree];
       var othercategoryurl = allothercategory[Math.floor(Math.random() * allothercategory.length)];
       console.log(othercategoryurl);
       var quiz_url = othercategoryurl;
       console.log(quiz_url);
     }
  }

  var quiz;

  function init(){
      //prevent body overflow and scrolling on iPad
      if(isiPad){
          $("body").css("overflow","hidden");
          $("body").css("position","fixed");
      }

      //create the screen object which loads the xml and creates all screen elements
      quiz = new Screen({id:"myQuiz", xmlPath:quiz_url});
      console.log(quiz);

      //choose a target div
      var targetDiv = get("container");

      //load it
      quiz.load(targetDiv,false);
  }

  //kick off
  $(document).ready(function() {
      init();
  });

  </script>
@endsection
