@extends('baselayout')

@section('title')
	Login
@stop

@section('content')
<br /><br /><br />
<div class="row">
	<div class="col-md-6">
		<div class="flash-message">
	    @foreach (['danger', 'warning', 'success', 'info'] as $msg)
	      @if(Session::has('alert-' . $msg))

	      <p class="alert alert-{{ $msg }}">{{ Session::get('alert-' . $msg) }} <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a></p>
	      @endif
	    @endforeach
	  </div> <!-- end .flash-message -->
		<h2>Log in</h2>
		<p>Hi, here you can login to your account. Just fill in the form and press Sign In button.</p>
		<br>
		{!! Html::ul($errors->all(), array('class'=>'alert alert-danger errors')) !!}

		{!! Form::open(array('url' => 'users/login','class'=>'form')) !!}

		<br>{!! Form::label('text', 'Mobile Number') !!}
		{!! Form::text('mobile_number', null, array('class' => 'form-control','placeholder' => '0700000000')) !!}
    <br>{!! Form::label('password', 'Password') !!}
    {!! Form::password('password', null, array('class' => 'form-control','placeholder' => 'password')) !!}
		<br>
		{!! Form::submit('Start Challenge' , array('class' => 'btn btn-primary')) !!}

		{!! Form::close() !!}
		<br>
	</div>
</div>

@stop
