<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

use App\Http\Requests;
use App\Http\Controllers\Controller;

class AccountController extends Controller
{

    public function login() {
      // Getting all post data
      $data = Input::all();
      // Applying validation rules.
      $rules = array(
      'mobile_number' => 'required',
      //'password' => 'required|min:6',
         );
      $validator = Validator::make($data, $rules);
      if ($validator->fails()){
        // If validation falis redirect back to login.
        return Redirect::to('/login')->withInput(Input::except('password'))->withErrors($validator);
      }
      else {
        $userdata = array(
          'mobile_number' => Input::get('mobile_number')
          //'password' => Input::get('password')
        );
        // doing login.
        if (Auth::validate($userdata)) {
          if (Auth::attempt($userdata)) {
            return Redirect::intended('/');
          }
        }
        else {
          // if any error send back with message.
          Session::flash('error', 'Something went wrong');
          return Redirect::to('login');
        }
      }
    }



    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
