<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
Use App\Gift;
Use App\Inventory;
Use App\User;
use Carbon\Carbon;
use Validator;
use Illuminate\Foundation\Auth\ThrottlesLogins;
use Illuminate\Foundation\Auth\AuthenticatesAndRegistersUsers;
use Illuminate\Contracts\Auth\Guard;
use App\Http\Requests;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Input;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Redirect;

class GiftController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
        $gifts = Gift::with('user', 'inventory')->latest('id')->get();

        return $gifts;
    }


    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
     public function showflipcards()
     {
         //
         $giftnumberperday = Gift::where('gift', 'drink')->whereDate('created_at', '=', Carbon::today()->toDateString())->count();

         //$gifts = Gift::where('gift', 'drink')->count();
         //dd($giftnumberperday);
         if ( $giftnumberperday <= 2 )
         {
           return view('flipcards');
         }else {
           return view('flipcards2');
           //dd($scoredate);
         }
     }
     public function showgift()
     {
         //
         $user = User::find(Auth::id());
         $gifts = Gift::where('user_id', $user->id)->latest();
         //dd($user);
         return view('congrats', compact('gifts'));



     }
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
        $gift = new Gift;
        $gift->user_id    = $request->user_id;
        $gift->gift      = $request->gift;
        $gift->save();
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
