@extends('layout.master')

@section('body')

<div class="btn-group btn-group-justified" role="group" aria-label="...">
  <div class="btn-group" role="group">
    <a href="{{ url('/') }}" class="btn btn-primary btn-lg"><i class="fa fa-book"></i> <h3>Home</h3></a>
  </div>
  <div class="btn-group" role="group">
    @if(!Auth::check())
         <a href="" class="btn btn-success btn-lg" data-toggle="modal" data-target="#myModal"><i class="fa fa-book"></i>  <h3>Trivia Sign Up</h3></a>
       </div>
       <div class="btn-group" role="group">
         <a href="" class="btn btn-warning btn-lg" data-toggle="modal" data-target="#twoModal"><i class="fa fa-book"></i>  <h3>Trivia Login</h3></a>
         </div>
     @else
     <div class="btn-group" role="group">
         <a href="{{ url('/users/logout') }}" class="btn btn-danger btn-lg"><i class="fa fa-times"></i> End <h3>Current Session</h3></a>
         </div>
     @endif
  </div>
  <!-- Modal -->

  <div class="modal fade" id="twoModal" tabindex="-1" role="dialog" aria-labelledby="twoModalLabel">
    <div class="modal-dialog modal-sm" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
          <h4 class="modal-title text-center" id="twoModalLabel">Start Your Challenge.</h4>
        </div>
        <div class="modal-body">

          <p> Just fill in the form and press Sign In button.</p>
          <br>


          {!! Form::open(array('url' => 'users/login','class'=>'form')) !!}

          <br>
          {!! Form::text('mobile_number', null, array('class' => 'form-control', 'id'=>'mobile_number2', 'placeholder' => 'Enter Mobile Number use 0710000000 format')) !!}

          <br>
          {!! Form::input('hidden', 'password', 'secret', ['class' => 'form-control', 'id'=>'password']) !!}
          <br>

          <br>
        </div>
        <div class="modal-footer">
          <div class="text-center">
            {!! Form::submit('Start Challenge' , array('class' => 'btn btn-primary')) !!}

            {!! Form::close() !!}
            <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
          </div>
        </div>
      </div>
    </div>
  </div>





<section id="portfolio">
    <div class="container">
        <div class="section-header">
            <h2 class="section-title text-center wow fadeInDown animated" style="visibility: visible; animation-name: fadeInDown;">Knowledge Categories</h2>
          <!--  <p class="text-center wow fadeInDown animated" style="visibility: visible; animation-name: fadeInDown;">Get to know much more about how to enhance your </p>-->
        </div>

        <!--<div class="text-center">
            <ul class="portfolio-filter">
                <li><a class="active" href="#" data-filter="*">All Policies</a></li>
                <li><a href="#" data-filter=".creative" class="">Our Code</a></li>
                <li><a href="#" data-filter=".corporate" class="">Group Two</a></li>
                <li><a href="#" data-filter=".portfolio" class="">Group Three</a></li>
            </ul>
        </div>--><!--/#portfolio-filter-->

        <div class="portfolio-items isotope" style="position: relative; overflow: hidden; height: 408px;">
            <div class="portfolio-item creative isotope-item" style="position: absolute; left: 0px; top: 0px; transform: translate3d(0px, 0px, 0px) scale3d(1, 1, 1); opacity: 1;">
                <div class="portfolio-item-inner">
                    <img class="img-responsive" src="images/portfolio/01.jpg" alt="">
                    <div class="portfolio-info">
                        <!--<h3>Portfolio Item 1</h3>
                        Lorem Ipsum Dolor Sit
                        <a class="preview" href="images/portfolio/full.jpg" rel="prettyPhoto"><i class="fa fa-eye"></i></a>-->
                    </div>
                </div>
                <a class="btn btn-primary btn-lg btn-block" href="{{ url('/courseone') }}">Learn More</a>
            </div><!--/.portfolio-item-->

            <div class="portfolio-item corporate portfolio isotope-item" style="position: absolute; left: 0px; top: 0px; transform: translate3d(291px, 0px, 0px) scale3d(1, 1, 1); opacity: 1;">
                <div class="portfolio-item-inner">
                    <img class="img-responsive" src="images/portfolio/Employee-alcohol-global-policy.jpg" alt="">
                    <!--<div class="portfolio-info">
                        <h3>Portfolio Item 2</h3>
                        Lorem Ipsum Dolor Sit
                        <a class="preview" href="images/portfolio/full.jpg" rel="prettyPhoto"><i class="fa fa-eye"></i></a>
                    </div>-->
                </div>
                <a class="btn btn-primary btn-lg btn-block" href="{{ url('/coursetwo') }}">Learn More</a>
            </div><!--/.portfolio-item-->

            <div class="portfolio-item creative isotope-item" style="position: absolute; left: 0px; top: 0px; transform: translate3d(582px, 0px, 0px) scale3d(1, 1, 1); opacity: 1;">
                <div class="portfolio-item-inner">
                    <img class="img-responsive" src="images/portfolio/Anti-corruption-global-policy.jpg" alt="">
                    <!--<div class="portfolio-info">
                        <h3>Portfolio Item 3</h3>
                        Lorem Ipsum Dolor Sit
                        <a class="preview" href="images/portfolio/full.jpg" rel="prettyPhoto"><i class="fa fa-eye"></i></a>
                    </div>-->
                </div>
                <a class="btn btn-primary btn-lg btn-block" href="{{ url('/coursethree') }}">Learn More</a>
            </div><!--/.portfolio-item-->

            <div class="portfolio-item corporate isotope-item" style="position: absolute; left: 0px; top: 0px; transform: translate3d(873px, 0px, 0px) scale3d(1, 1, 1); opacity: 1;">
                <div class="portfolio-item-inner">
                    <img class="img-responsive" src="images/portfolio/AML-global-policy.jpg" alt="">
                    <!--<div class="portfolio-info">
                        <h3>Portfolio Item 4</h3>
                        Lorem Ipsum Dolor Sit
                        <a class="preview" href="images/portfolio/full.jpg" rel="prettyPhoto"><i class="fa fa-eye"></i></a>
                    </div>-->
                </div>
                <a class="btn btn-primary btn-lg btn-block" href="{{ url('/coursefour') }}">Learn More</a>
            </div><!--/.portfolio-item-->
          </div>
    </div><!--/.container-->
    <!-- Modal -->
    <div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
            <h4 class="modal-title text-center" id="myModalLabel">Register For The Challenge.</h4>
          </div>
          <div class="modal-body">
            <div class="conta4ct-form">

              {!! Form::open(array('url' => 'users/register','class'=>'form')) !!}
              <br>
              {!! Form::text('name', null, array('id'=>'name', 'class' => 'form-control','placeholder' => 'Enter Name')) !!}
              <br>

              {!! Form::text('mobile_number', null, array('id'=>'mobile_number', 'class' => 'form-control','placeholder' => 'Enter Phone Number Use 0710000000 Format')) !!}

              <br>
              {!! Form::select('department', array(
                      '' => 'Choose Your department',
                      'supply' => 'Supply',
                      'demand' => 'Demand',
                      'other_department' => 'Other department'

                  ),null , ['class' => 'form-control'])
              !!}

              <!--<br>{!! Form::label('department', 'department') !!}
              {!! Form::text('department', null, array('class' => 'form-control','placeholder' => 'department')) !!}-->
              <div style="display:none;">
                <br>{!! Form::label('password', 'Password') !!}
                {!! Form::password('password', array('id'=>'password', 'class' => 'form-control', 'placeholder' => 'Enter Password')) !!}
                <br>
                {!! Form::password('password_confirmation',array('id'=>'passwordconfirm', 'class' => 'form-control', 'placeholder' => 'Confirm Password')) !!}
              </div>
              <br>
              <div class="modal-footer">
                <div class="text-center">
                  {!! Form::submit('Sign Up For The Challenge' , array('class' => 'btn btn-primary btn-lg')) !!}

                  {!! Form::close() !!}
                  <button type="button" class="btn btn-default btn-lg" data-dismiss="modal">Close</button>
                </div>
              </div>
            </div>
      </div>
    </div>
</section>

@stop
@section('js')
  <script type="text/javascript">

      $(function () {
        $('.showmenu').click(function() {
                $('.menu').slideToggle("fast");
        });

      $(window).height();   // returns heightof browser viewport
      var height = $(window).height();

      if (height < 1000){
      $('#landingpageimage').hide();
      }

      if (height >= 1200) {
       //do something



       $('#name').keyboard({
         layout: 'qwerty',
         autoAccept: 'true',
         tabNavigation: 'true',
         usePreview: false,
         beforeClose: function(e, keyboard, el, accepted) {
             $('input.current').removeClass('current');
             $("body").css('padding-bottom', '0px');
         }
       });

       $('#mobile_number').keyboard({
            layout: 'custom',
            autoAccept: 'true',
            tabNavigation: 'true',
            customLayout: {
                'default': [
                    '7 8 9',
                    '4 5 6',
                    '1 2 3',
                    '0 {bksp}',
                    '{accept}'
                    ]
            },
            usePreview: false,
            beforeClose: function(e, keyboard, el, accepted) {
                $('input.current').removeClass('current');
                $("body").css('padding-bottom', '0px');
            }
        });
        $('#mobile_number2').keyboard({
             layout: 'custom',
             autoAccept: 'true',
             tabNavigation: 'true',
             customLayout: {
                 'default': [
                     '7 8 9',
                     '4 5 6',
                     '1 2 3',
                     '0 {bksp}',
                     '{accept}'
                     ]
             },
             usePreview: false,
             beforeClose: function(e, keyboard, el, accepted) {
                 $('input.current').removeClass('current');
                 $("body").css('padding-bottom', '0px');
             }
         });
      }
      $('#password').keyboard({
        layout: 'qwerty',
        autoAccept: 'true',
        tabNavigation: 'true',
        usePreview: false,
        beforeClose: function(e, keyboard, el, accepted) {
            $('input.current').removeClass('current');
            $("body").css('padding-bottom', '0px');
        }
      });
      $('#passwordconfirm').keyboard({
        layout: 'qwerty',
        autoAccept: 'true',
        tabNavigation: 'true',
        usePreview: false,
        beforeClose: function(e, keyboard, el, accepted) {
            $('input.current').removeClass('current');
            $("body").css('padding-bottom', '0px');
        }
      });
    });
  </script>
@endsection
