@extends('layout.master')

@section('body')

@include('includes.slider')
<section id="portfolio">
  <input type="hidden" name="" value="" id="currentuserid">
        <div class="container">
            <div class="section-header">
                <h2 class="section-title text-center wow fadeInDown animated" style="visibility: visible; animation-name: fadeInDown;">Mix and Match To Win</h2>
                <p class="text-center wow fadeInDown animated" style="visibility: visible; animation-name: fadeInDown;">Click any two cards to flip and match a pair of images behind any two boxes and win instant giveaway prizes.<br> </p>
            </div>

            <div class="text-center">

              <div id="main" role="main" >

                <div id="tutorial-memorygame" class="quizy-memorygame">
                  <ul>
                      <li class="notebook">
                        <img src="images/img/flag-Bulgaria.png">
                      </li>
                      <li class="notebook">
                        <img src="images/img/flag-Bulgaria.png">
                      </li>
                      <li class="notebook">
                        <img src="images/img/flag-Bulgaria.png">
                      </li>
                      <li class="notebook">
                        <img src="images/img/flag-Bulgaria.png">
                      </li>
                      <li class="notebook">
                        <img src="images/img/flag-Bulgaria.png">
                      </li>
                      <li class="notebook">
                        <img src="images/img/flag-Bulgaria.png">
                      </li>
                      <li class="notebook">
                        <img src="images/img/flag-Bulgaria.png">
                      </li>
                      <li class="notebook">
                      <img src="images/img/flag-Bulgaria.png">
                      </li>
                      <li class="drink">
                        <img src="images/img/flag-Cuba.png">
                      </li>
                      <li class="notebook">
                      <img src="images/img/flag-Bulgaria.png">
                      </li>
                      <li class="notebook">
                      <img src="images/img/flag-Bulgaria.png">
                      </li>
                      <li class="drink">
                        <img src="images/img/flag-Cuba.png">
                      </li>
                  </ul>
                </div>
            </div>

        </div><!--/.container-->
    </section>

</section>


@stop

@section('js')
  <script type="text/javascript">
    var quizyParams = {
      itemWidth: 156,
      itemHeight: 156,
      itemsMargin:60,
      colCount:4,
      animType:'flip' ,
      flipAnim:'tb',
      animSpeed:250,
      resultIcons:true,
      randomised:true
    };
    $('#tutorial-memorygame').quizyMemoryGame(quizyParams);
    $('#restart').click(function(){
      $('#tutorial-memorygame').quizyMemoryGame('restart');
      return false;
    });

    var userid = "{{ Auth::user()->id }}";
     $('#currentuserid').val(userid);
  </script>
@endsection
