@extends('layout.master')

@section('body')
<div class="btn-group btn-group-justified" role="group" aria-label="...">
  <div class="btn-group" role="group">
    <a href="{{ url('/courses') }}" class="btn btn-primary btn-lg"><i class="fa fa-book"></i><h3> The Knowledge Hub</h3></a>
  </div>
  @if(!Auth::check())
  <div class="btn-group" role="group">
    <a href="" class="btn btn-success btn-lg" data-toggle="modal" data-target="#myModal"><i class="fa fa-book"></i> <h3> Trivia Sign Up</h3></a>
  </div>
  <div class="btn-group" role="group">
    <a href="" class="btn btn-warning btn-lg" data-toggle="modal" data-target="#twoModal"><i class="fa fa-book"></i> <h3> Challenge Login </h3></a>
  </div>
  @else
  <div class="btn-group" role="group">
    <a href="{{ url('/users/logout') }}" class="btn btn-danger btn-lg"><i class="fa fa-times"></i> <h3>End Current Session</h3></a>
  </div>
   @endif
</div>

<section id="services">

    <div class="container">

      </div>

        <div class="section-header">
            <h2 class="section-title text-center wow fadeInDown animated" style="visibility: visible; animation-name: fadeInDown;">Pathway Of Pride 6 </h2>
              {!! Html::ul($errors->all(), array('class'=>'alert alert-danger errors')) !!}
            <h2 class="text-center wow fadeInDown animated" style="color:#FFA500; visibility: visible; animation-name: fadeInDown;">#Be the change you want to see</h2>
        </div>


        <div class="col-md-12">
          <div class="flash-message">
            @foreach (['danger', 'warning', 'success', 'info'] as $msg)
              @if(Session::has('alert-' . $msg))
              <p class="alert alert-{{ $msg }} text-center">{{ Session::get('alert-' . $msg) }} <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a></p>
              @endif
            @endforeach
          </div> <!-- end .flash-message -->
        </div>

        <div class="row">
            <div class="features">

              <!--<div class="row">
                <div class="col-md-6 col-xs-12">
                  <a href="{{ url('/courses') }}"> <img src="images/2btn.png" alt="" class="pull-left" style="height:50%; width:50%;"></a>

                </div>
                <div class="col-md-6 col-xs-12">
                  <a class="wow fadeInUp animated text-center" data-wow-duration="300ms" data-wow-delay="200ms" style="visibility: visible; animation-duration: 300ms; animation-delay: 200ms; animation-name: fadeInUp;" href="{{ url('/quizone') }}"> <img src="images/1btn.png" alt="" class="pull-right" style="height:50%; width:50%;"></a>
                  <div class="text-center" id="" style="padding-top:250px;">
                    <div class="btn-group" role="group" aria-label="...">
                      <button type="button" class="btn btn-primary btn-lg" data-toggle="modal" data-target="#myModal">Challenge Registartion</button>

                      <button type="button" class="btn btn-primary btn-lg" data-toggle="modal" data-target="#twoModal">Start Your Challenge</button>
                    </div>
                  </div>
                </div>
              </div>-->
              <!--<div class="text-center">
                <img src="images/icon-3.png" id="box" class="" style="margin-left:15%;" id=""/>

              </div>-->






              <div class="text-center" id="landingpageimage" style="padding-bottom:0px; ">
                <img src="images/Pathway.png" alt="text-center" class="" style="height:50%; width:55%; margin-left:20%;" id="box2">
              </div>

            </div>
            <!--<div class="row">
              <div class="col-md-6 col-xs-12">
                <a href="{{ url('/courses') }}"> <img src="images/2btn.png" alt="" class="pull-left" style="height:50%; width:50%;"></a>

              </div>
              <div class="col-md-6 col-xs-12">
                <a class="wow fadeInUp animated text-center" data-wow-duration="300ms" data-wow-delay="200ms" style="visibility: visible; animation-duration: 300ms; animation-delay: 200ms; animation-name: fadeInUp;" href="{{ url('/quizone') }}"> <img src="images/1btn.png" alt="" class="pull-right" style="height:50%; width:50%;"></a>
                <div class="text-center" id="" style="padding-top:250px;">
                  <div class="btn-group" role="group" aria-label="...">
                    <button type="button" class="btn btn-primary btn-lg" data-toggle="modal" data-target="#myModal">Challenge Registartion</button>

                    <button type="button" class="btn btn-primary btn-lg" data-toggle="modal" data-target="#twoModal">Start Your Challenge</button>
                  </div>
                </div>
              </div>
            </div>-->
        </div><!--/.row-->
    </div><!--/.container-->
    <!-- Button trigger modal -->

    <!-- Modal -->

    <div class="modal fade" id="twoModal" tabindex="-1" role="dialog" aria-labelledby="twoModalLabel">
      <div class="modal-dialog modal-sm" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
            <h4 class="modal-title text-center" id="twoModalLabel">Start Your Challenge.</h4>
          </div>
          <div class="modal-body">

            <p> Just fill in the form and press Sign In button.</p>
            <br>


            {!! Form::open(array('url' => 'users/login','class'=>'form')) !!}

            <br>
            {!! Form::text('mobile_number', null, array('class' => 'form-control', 'id'=>'mobile_number2', 'placeholder' => 'Enter Mobile Number use 0710000000 format')) !!}

            <br>
            {!! Form::input('hidden', 'password', 'secret', ['class' => 'form-control', 'id'=>'password']) !!}
            <br>

            <br>
          </div>
          <div class="modal-footer">
            <div class="text-center">
              {!! Form::submit('Start Challenge' , array('class' => 'btn btn-primary')) !!}

              {!! Form::close() !!}
              <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
            </div>
          </div>
        </div>
      </div>
    </div>

    <!-- Modal -->
    <div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
            <h4 class="modal-title text-center" id="myModalLabel">Register For The Challenge.</h4>
          </div>
          <div class="modal-body">
            <div class="conta4ct-form">
        
              {!! Form::open(array('url' => 'users/register','class'=>'form')) !!}
              <br>
              {!! Form::text('name', null, array('id'=>'name', 'class' => 'form-control','placeholder' => 'Enter Name')) !!}
              <br>

              {!! Form::text('mobile_number', null, array('id'=>'mobile_number', 'class' => 'form-control','placeholder' => 'Enter Phone Number Use 0710000000 Format')) !!}

              <br>
              {!! Form::select('department', array(
                      '' => 'Choose Your department',
                      'supply' => 'Supply',
                      'demand' => 'Demand',
                      'other_department' => 'Other department'

                  ),null , ['class' => 'form-control'])
              !!}

              <!--<br>{!! Form::label('department', 'department') !!}
              {!! Form::text('department', null, array('class' => 'form-control','placeholder' => 'department')) !!}-->
              <div style="display:none;">
                <br>{!! Form::label('password', 'Password') !!}
                {!! Form::password('password', array('id'=>'password', 'class' => 'form-control', 'placeholder' => 'Enter Password')) !!}
                <br>
                {!! Form::password('password_confirmation',array('id'=>'passwordconfirm', 'class' => 'form-control', 'placeholder' => 'Confirm Password')) !!}
              </div>
              <br>
              <div class="modal-footer">
                <div class="text-center">
                  {!! Form::submit('Sign Up For The Challenge' , array('class' => 'btn btn-primary btn-lg')) !!}

                  {!! Form::close() !!}
                  <button type="button" class="btn btn-default btn-lg" data-dismiss="modal">Close</button>
                </div>
              </div>
            </div>
      </div>
    </div>




</section>
@stop

@section('js')
  <script type="text/javascript">

      $(function () {
        $('.showmenu').click(function() {
                $('.menu').slideToggle("fast");
        });

      $(window).height();   // returns heightof browser viewport
      var height = $(window).height();

      if (height < 1000){
      $('#landingpageimage').hide();
      }

      if (height >= 1200) {
       //do something



       $('#name').keyboard({
         layout: 'qwerty',
         autoAccept: 'true',
         tabNavigation: 'true',
         usePreview: false,
         beforeClose: function(e, keyboard, el, accepted) {
             $('input.current').removeClass('current');
             $("body").css('padding-bottom', '0px');
         }
       });

       $('#mobile_number').keyboard({
            layout: 'custom',
            autoAccept: 'true',
            tabNavigation: 'true',
            customLayout: {
                'default': [
                    '7 8 9',
                    '4 5 6',
                    '1 2 3',
                    '0 {bksp}',
                    '{accept}'
                    ]
            },
            usePreview: false,
            beforeClose: function(e, keyboard, el, accepted) {
                $('input.current').removeClass('current');
                $("body").css('padding-bottom', '0px');
            }
        });
        $('#mobile_number2').keyboard({
             layout: 'custom',
             autoAccept: 'true',
             tabNavigation: 'true',
             customLayout: {
                 'default': [
                     '7 8 9',
                     '4 5 6',
                     '1 2 3',
                     '0 {bksp}',
                     '{accept}'
                     ]
             },
             usePreview: false,
             beforeClose: function(e, keyboard, el, accepted) {
                 $('input.current').removeClass('current');
                 $("body").css('padding-bottom', '0px');
             }
         });
      }
      $('#password').keyboard({
        layout: 'qwerty',
        autoAccept: 'true',
        tabNavigation: 'true',
        usePreview: false,
        beforeClose: function(e, keyboard, el, accepted) {
            $('input.current').removeClass('current');
            $("body").css('padding-bottom', '0px');
        }
      });
      $('#passwordconfirm').keyboard({
        layout: 'qwerty',
        autoAccept: 'true',
        tabNavigation: 'true',
        usePreview: false,
        beforeClose: function(e, keyboard, el, accepted) {
            $('input.current').removeClass('current');
            $("body").css('padding-bottom', '0px');
        }
      });
    });
  </script>
@endsection
