<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="">
    <meta name="author" content="">
    <title>Pathway Of Pride EABL.</title>
	<!-- core CSS -->
    <link href="<?php echo asset('css/bootstrap.min.css')?>" rel="stylesheet">
    <link href="<?php echo asset('css/font-awesome.min.css')?>" rel="stylesheet">
    <link href="<?php echo asset('css/animate.min.css')?>" rel="stylesheet">
    <link href="<?php echo asset('css/owl.carousel.css')?>" rel="stylesheet">
    <link href="<?php echo asset('css/owl.transitions.css')?>" rel="stylesheet">
    <link href="<?php echo asset('css/prettyPhoto.css')?>" rel="stylesheet">
    <link href="<?php echo asset('css/main.css')?>" rel="stylesheet">
    <link href="<?php echo asset('css/responsive.css')?>" rel="stylesheet">
    <link href="<?php echo asset('wow_book/wow_book.css')?>" rel="stylesheet">
    <link href="<?php echo asset('css/styles.css')?>" rel="stylesheet">
    <link href="<?php echo asset('css/jquery-ui.css')?>" rel="stylesheet">
    <link href="<?php echo asset('css/custom.css')?>" rel="stylesheet">
    <link href="<?php echo asset('css/quizymemorygame.css')?>" rel="stylesheet">
    <link href="<?php echo asset('css/keyboard.css')?>" rel="stylesheet">
    <link href="<?php echo asset('css/keyboard-basic.css')?>" rel="stylesheet">
    <link href="<?php echo asset('css/keyboard-previewkeyset.css')?>" rel="stylesheet">
<link rel="stylesheet" href="//maxcdn.bootstrapcdn.com/font-awesome/4.1.0/css/font-awesome.min.css" />

    <!--[if lt IE 9]>
    <script src="js/html5shiv.js"></script>
    <script src="js/respond.min.js"></script>
    <![endif]-->
    <link rel="shortcut icon" href="images/ico/favicon.ico">
    <link rel="apple-touch-icon-precomposed" sizes="144x144" href="images/ico/apple-touch-icon-144-precomposed.png">
    <link rel="apple-touch-icon-precomposed" sizes="114x114" href="images/ico/apple-touch-icon-114-precomposed.png">
    <link rel="apple-touch-icon-precomposed" sizes="72x72" href="images/ico/apple-touch-icon-72-precomposed.png">
    <link rel="apple-touch-icon-precomposed" href="images/ico/apple-touch-icon-57-precomposed.png">
</head><!--/head-->

<body id="home" class="homepage">

    <header id="header">
        <nav id="main-menu" class="navbar navbar-default navbar-fixed-top" role="banner">
            <div class="container">
                <div class="navbar-header">
                    <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                        <span class="sr-only">Toggle navigation</span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                    </button>
                    <a class="navbar-brand" href="{{ url('/') }}"><img src="images/logo.png" alt="logo"></a>
                </div>

                <div class="collapse navbar-collapse navbar-right">
                    <!--<ul class="nav navbar-nav">
                        <li class="scroll active"><a href="#home">Home</a></li>
                        <li class="scroll"><a href="#features">Course</a></li>
                        <li class="scroll"><a href="#features">Quiz</a></li>
                        <li class="scroll"><a href="#services">Game</a></li>

                    </ul>-->
                </div>
            </div><!--/.container-->
        </nav><!--/nav-->
    </header><!--/header-->
    <video controls style="width:100%;height:auto !important overflow:hidden; padding-top:100px;" poster="poster.png" controls currentTime loop autoplay muted="true">
      <source src="devstories.webm"
              type='video/webm;codecs="vp8, vorbis"' />
      <source src="video/change.mp4"
              type='video/mp4;codecs="avc1.42E01E, mp4a.40.2"' />
      <track src="devstories-en.vtt" label="English subtitles"
             kind="subtitles" srclang="en" default></track>
    </video>




    @yield('body')

    <footer id="footer" class="hidden-xs">
        <div class="container">
            <div class="row">
                <div class="col-sm-6">
                    &copy; 2016 Pathway Of Pride EABL.
                </div>
                <div class="col-sm-6">
                    <ul class="social-icons">
                        <li><a href="{{ url('/') }}"> <p><i class="fa fa-home"></i> Home</p> </a></li>
                        <li><a href="{{ url('courses') }}"><p><i class="fa fa-book"></i> Knowledge Hub </p></a></li>

                    </ul>
                </div>
            </div>
        </div>
    </footer><!--/#footer-->

    <script src="<?php echo asset('js/jquery.js')?>"></script>
    <script src="<?php echo asset('js/bootstrap.min.js')?>"></script>
    <script src="<?php echo asset('js/owl.carousel.min.js')?>"></script>
    <script src="<?php echo asset('js/mousescroll.js')?>"></script>
    <script src="<?php echo asset('js/smoothscroll.js')?>"></script>
    <script src="<?php echo asset('js/jquery.prettyPhoto.js')?>"></script>
    <script src="<?php echo asset('js/jquery.isotope.min.js')?>"></script>
    <script src="<?php echo asset('js/jquery.inview.min.js')?>"></script>
    <script src="<?php echo asset('js/wow.min.js')?>"></script>
    <script src="<?php echo asset('js/main.js')?>"></script>
    <script src="<?php echo asset('wow_book/pdf.combined.min.js')?>"></script>
    <script src="<?php echo asset('wow_book/wow_book.min.js')?>"></script>
    <script src="<?php echo asset('js/jquery.easing.1.3.js')?>"></script>
    <script src="<?php echo asset('js/jquery.transit.min.js')?>"></script>
    <script src="<?php echo asset('js/essemble_core.min.js')?>"></script>
    <script src="<?php echo asset('js/mcq.js')?>"></script>
    <script src="<?php echo asset('js/quiz.js')?>"></script>
    <script src="<?php echo asset('js/jquery-ui.min.js')?>" /></script>
    <script src="<?php echo asset('js/jquery.flip.min.js')?>"></script>
    <script src="<?php echo asset('js/jquery.quizymemorygame.js')?>"></script>

    <script src="<?php echo asset('js/jquery.keyboard.js')?>"></script>
    <script src="<?php echo asset('js/jquery.keyboard.extension-all.js')?>"></script>
    <script src="<?php echo asset('js/TweenMax.js')?>"></script>
    <script src="<?php echo asset('js/TextPlugin.js')?>"></script>
     @yield('js')


</body>
</html>
